summaryrefslogtreecommitdiffstats
path: root/source/ap/jed
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/jed')
-rwxr-xr-xsource/ap/jed/jed.SlackBuild30
-rw-r--r--source/ap/jed/slack-desc16
2 files changed, 28 insertions, 18 deletions
diff --git a/source/ap/jed/jed.SlackBuild b/source/ap/jed/jed.SlackBuild
index 99c0dbbed..540310087 100755
--- a/source/ap/jed/jed.SlackBuild
+++ b/source/ap/jed/jed.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010, 2013 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2013, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,26 +20,37 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=jed
VERSION=0.99-19
PKGVER=0.99_19
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$PKGVER-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
if [ "$ARCH" = "i386" ]; then
SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
-elif [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
elif [ "$ARCH" = "x86_64" ]; then
@@ -48,7 +59,6 @@ else
SLKCFLAGS="-O2"
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-jed
rm -rf $PKG
@@ -56,7 +66,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf jed-$VERSION
tar xvf $CWD/jed-$VERSION.tar.bz2 || exit 1
-cd jed-$VERSION
+cd jed-$VERSION || exit 1
chown -R root:root .
find . \
@@ -71,9 +81,9 @@ CFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--mandir=/usr/man \
--with-slang=/usr \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
-make clean
+make clean || exit 1
make all rgrep $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
cp src/*objs/rgrep $PKG/usr/bin
diff --git a/source/ap/jed/slack-desc b/source/ap/jed/slack-desc
index 8c7b15192..58638806c 100644
--- a/source/ap/jed/slack-desc
+++ b/source/ap/jed/slack-desc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
@@ -10,10 +10,10 @@ jed: jed (programmer's editor)
jed:
jed: JED (by John E. Davis) is an extremely powerful but small emacs-like
jed: programmer's editor that is extensible in a C-like macro language and
-jed: can do color syntax highlighting. Among the many features:
-jed: Emacs, wordstar, EDT emulation;
-jed: C, Fortran, TeX, text editing modes; Full undo;
-jed: GNU Emacs compatible info reader, and lots more.
+jed: can do color syntax highlighting. Among the many features:
+jed: Emacs, wordstar, EDT emulation;
+jed: C, Fortran, TeX, text editing modes; Full undo;
+jed: GNU Emacs compatible info reader, and lots more.
jed:
-jed: JED is also 8 bit clean, so you can even edit binary files!
+jed: JED is also 8 bit clean, so you can even edit binary files!
jed: